/// 检测错误实体
class ExamError {
  /// 错误码
  String code;

  /// 描述
  String? message;

  /// 追加信息
  Map<String, dynamic>? extra;

  ExamError(this.code, {this.message, this.extra});

  factory ExamError.fromEventData(Map<String, dynamic> jsonMap) {
    return ExamError(
      jsonMap["CODE"].toString(),
      message: jsonMap["MSG"],
      extra: jsonMap["EXTRA"],
    );
  }
}
